org.apache.torque.templates.transformer.jdbc2schema

## Class Jdbc2SchemaTransformer

- java.lang.Object
- - org.apache.torque.templates.transformer.jdbc2schema.Jdbc2SchemaTransformer

- All Implemented Interfaces:
    SourceTransformer

      public class Jdbc2SchemaTransformer
      extends Object
      implements SourceTransformer

  Performs the transformations which are necessary to apply the jdbc2schema templates to the source tree. This transformer performs the following actions:
  - sets the name attribute to the database element
  No elements or attributes are deleted. $Id: Jdbc2SchemaTransformer.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jdbc2SchemaTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceElement` | `transform(Object modelRoot, ControllerState controllerState)` Transforms the source tree so it can be used by the jdbc2schema templates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jdbc2SchemaTransformer

          public Jdbc2SchemaTransformer()

  - ### Method Detail

    - #### transform

          public SourceElement transform(Object modelRoot,
                                         ControllerState controllerState)
                                  throws SourceTransformerException

      Transforms the source tree so it can be used by the jdbc2schema templates.
      Specified by:
        `transform` in interface `SourceTransformer`
      Parameters:
        `modelRoot` - the database root element of the source tree, not null.
        `controllerState` - the controller state, not null.
      Throws:
        `SourceTransformerException` - if the transformation fails.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.